# -*- coding: utf-8 -*-

#    Copyright 2018 Fabien Bourgeois <fabien@yaltik.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

""" GOLEM Res Partner Configuration """

from odoo import models, api, _


class ResPartnerConfig(models.AbstractModel):
    """ GOLEM Res Partner Configuration """
    _name = 'golem.res.partner.config'
    _description = 'GOLEM Res Partner Configuration'

    @api.model
    def res_partner_settings(self):
        """ Res partner mas mailing remove """
        if self.env.ref('base.action_partner_mass_mail'):
            self.env.ref('base.action_partner_mass_mail').unlink()
